<style type="text/css">

/* Required CSS classes: must be included in all pages using this script */

/* Apply the element you want to drag/resize */
.drsElement {
 position: absolute;
 border: 1px solid #333;
}

/*
 The main mouse handle that moves the whole element.
 You can apply to the same tag as drsElement if you want.
*/
.drsMoveHandle {
 height: 20px;
 background-color: #CCC;
 border-bottom: 1px solid #666;
 cursor: move;
}

/*
 The DragResize object name is automatically applied to all generated
 corner resize handles, as well as one of the individual classes below.
*/
.dragresize {
 position: absolute;
 width: 5px;
 height: 5px;
 font-size: 1px;
 background: #EEE;
 border: 1px solid #333;
}

/*
 Individual corner classes - required for resize support.
 These are based on the object name plus the handle ID.
*/
.dragresize-tl {
 top: -8px;
 left: -8px;
 cursor: nw-resize;
}
.dragresize-tm {
 top: -8px;
 left: 50%;
 margin-left: -4px;
 cursor: n-resize;
}
.dragresize-tr {
 top: -8px;
 right: -8px;
 cursor: ne-resize;
}

.dragresize-ml {
 top: 50%;
 margin-top: -4px;
 left: -8px;
 cursor: w-resize;
}
.dragresize-mr {
 top: 50%;
 margin-top: -4px;
 right: -8px;
 cursor: e-resize;
}

.dragresize-bl {
 bottom: -8px;
 left: -8px;
 cursor: sw-resize;
}
.dragresize-bm {
 bottom: -8px;
 left: 50%;
 margin-left: -4px;
 cursor: s-resize;
}
.dragresize-br {
 bottom: -8px;
 right: -8px;
 cursor: se-resize;
}

</style>

<script type="text/javascript" src="<?=$this->getPluginpath()?>/lib/js/dragresize/dragresize.js"></script>
<script type="text/javascript">
// <![CDATA[
var start_xpos = 0;
var start_ypos = 0;
var position_set = false;
var can_create_new_date = true;

//var weekdrop = document.getElementById("weekdrop");
<? if ($_GET['plugin_subnavi_params'] == "weekly_view") { ?>
var drop = document.getElementById("weekdrop");
var dragresize = new DragResize('dragresize', { minWidth: <?=$tag_weite?>, 
						minHeight: <?=$zeit_hoehe?>, 
						minLeft: <?=$zeit_weite?>, 
						minTop: <?=$wotag_hoehe?>, 
						maxLeft: <?=($frame_weite + 59)?>,
						maxTop: <?=($frame_hoehe + 59)?> 
				});
<? } else { ?>
var drop = document.getElementById("daydrop");
var dragresize = new DragResize('dragresize', { minWidth: <?=$tag_weite?>, 
						minHeight: <?=$zeit_hoehe?>, 
						minLeft: <?=$zeit_weite?>, 
						minTop: <?=$wotag_hoehe?>, 
						maxLeft: <?=$frame_weite - $zeit_weite?>,
						maxTop: <?=$frame_hoehe?> 
				});
<? } ?>
attachEventListener(drop, "click", setCords, false);
attachEventListener(drop, "click", newDate, false);


dragresize.isElement = function(elm) {
	if (elm.className && elm.className.indexOf('drsElement') > -1) return true;
};
dragresize.isHandle = function(elm) {
	if (elm.className && elm.className.indexOf('drsMoveHandle') > -1) return true;
};

dragresize.apply(document);


/*
// find out if ie runs in quirks mode
var docEl = (typeof document.compatMode != "undefined" && document.compatMode != "BackCompat")? "documentElement" : "body";
// register event
// capture it for nc 4x
function init_mousemove() {
	if(document.layers) document.captureEvents(Event.MOUSEMOVE);
	document.onmousemove = dpl_mouse_pos;
}
// handle onmousemove event
function dpl_mouse_pos(e) {
	// position where mousemove fired
        var xPos    =  e? e.pageX : window.event.x;
        var yPos    =  e? e.pageY : window.event.y;
       
        // for ie add scroll position
        if (document.all && !document.captureEvents) {
            xPos    += document[docEl].scrollLeft;
            yPos    += document[docEl].scrollTop;
        }
        
        // display position
        //document.feld.ausg.value = "Left = " +xPos +" : Top = " +yPos;
	start_xpos = xPos;
	start_ypos = yPos;
        
        // for the dino pass event
        if (document.layers) routeEvent(e);
}
    
init_mousemove();
*/

/*function attachEventListener(target, eventType, functionRef, capture) {
	if (typeof target.addEventListener != "undefined") {
		target.addEventListener(eventType, functionRef, capture);
	} else if (typeof target.attacheEvent != "undefined") {
		target.attaachEvent("on" + eventType, functionRef);
	} else {
		eventType = "on" + eventType;
		if (typeof target[eventType] == "function") {
			var oldListener = target[eventType];
			target[eventType] = function() {
				oldListener();
				return functionRef();
			};
		} else {
			target[eventType] = functionRef;
		}
	}
}*/

function attachEventListener(target, eventType, functionRef, capture)
{
  if (typeof target.addEventListener != "undefined")
  {
    target.addEventListener(eventType, functionRef, capture);
  }
  else if (typeof target.attachEvent != "undefined")
  {
    var functionString = eventType + functionRef;
    target["e" + functionString] = functionRef;
    
    target[functionString] = function(event)
    {
      if(typeof event == "undefined"){event = window.event}; target["e" + functionString](event);
    };
    
    target.attachEvent("on" + eventType, target[functionString]);
  }
  else
  {
    eventType = "on" + eventType;

    if (typeof target[eventType] == "function")
    {
      var oldListener = target[eventType];

      target[eventType] = function()
      {
        oldListener();

        return functionRef();
      }
    }
    else
    {
      target[eventType] = functionRef;
    }
  }

  return true;
}

function stopEvent(event) {
	if (typeof event.stopPropagation != "undefined") {
		event.stopPropagation();
	} else {
		event.cancelBubble = true;
	}
}

function getScrollingPosition() {
  var position = [0, 0];

  if (typeof window.pageYOffset != 'undefined')   {
    position = [window.pageXOffset, window.pageYOffset];
  } else if (typeof document.documentElement.scrollTop != 'undefined' && document.documentElement.scrollTop > 0) {
    position = [document.documentElement.scrollLeft, document.documentElement.scrollTop];
  } else if (typeof document.body.scrollTop != 'undefined') {
    position = [document.body.scrollLeft, document.body.scrollTop];
  }

  return position;
}

function getCursorPosition(event) {
	if (typeof event == "undefined") {
		event = window.event;
	}

	var scrollingPosition = getScrollingPosition();
	var cursorPosition = [0, 0];

	if (typeof eventpageX != "undefined" && typeof event.x != "undefined") {
		cursorPosition[0] = event.pageX;
		cursorPosition[1] = event.pageY;
	} else {
		cursorPosition[0] = event.clientX + scrollingPosition[0];
		cursorPosition[1] = event.clientY + scrollingPosition[1];
	}

	return cursorPosition;
}

function setCords(e) {
	var cur_pos = getCursorPosition(e);
	//start_xpos = (document.all) ? window.event.x + document.body.scrollLeft : e.pageX;
	//start_ypos = (document.all) ? window.event.y + document.body.scrollTop : e.pageY;
	start_xpos = cur_pos[0];
	start_ypos = cur_pos[1];
//alert(cur_pos);

	stopEvent(e);

	return true;
}

function newDate(event) {
	if (can_create_new_date == true) {
		if (position_set == false) {
			//$('new_date').style.left = start_xpos;
			// IE-Dreck...
			if (document.all && !document.captureEvents) {
				// IE...
			//if (typeof eventpageX != "undefined" && typeof event.x != "undefined") {
				setCords(event);
				$('new_date').style.left = start_xpos;
				<? if ($_GET['plugin_subnavi_params'] == "weekly_view") { ?>
				$('new_date').style.top = start_ypos - document.all.weekdrop.offsetTop;
				<? } else { ?>
				$('new_date').style.top = start_ypos - document.all.daydrop.offsetTop;
				<? } ?>
	//alert("A "+start_xpos+'-'+start_ypos);
			} else {
				$('new_date').style.left = start_xpos;
				<? if ($_GET['plugin_subnavi_params'] == "weekly_view") { ?>
				$('new_date').style.top = start_ypos - document.all.weekdrop.offsetTop;
				<? } else { ?>
				$('new_date').style.top = start_ypos - document.all.daydrop.offsetTop;
				<? } ?>
	//alert("B");
			}
			position_set = true;
		}
		//alert(start_xpos + '-' + start_ypos);
		$('new_date').style.display='block';
		stopEvent(event);
	}
	return true;
}

function updateTimes() {
	x_str = $('new_date').style.left;
	y_str = $('new_date').style.top;
	x = x_str.substring(0, x_str.length-2);
	y = y_str.substring(0, y_str.length-2);

	if (x < <?=$zeit_weite?>) x=<?=$zeit_weite?>;
	if (x><?=$frame_weite?>) x=<?=$zeit_weite?>;
	if (y < <?=$wotag_hoehe?>) y=<?=$wotag_hoehe?>;
	if (y > <?=($frame_hoehe - $wotag_hoehe + 39)?>) y=<?=($frame_hoehe - $wotag_hoehe + 39)?>;

	var stunde = Math.floor((y - <?=$wotag_hoehe?>) / 60 + <?=$start_stunde?>);
	var minute = Math.floor((((((y - <?=$wotag_hoehe?>) / 60 + <?=$start_stunde?>) - stunde) * 100) * 60 ) / 100);
	var stunde_str = (stunde < 10 ? '0'+stunde : stunde);
	var minute_str = (minute < 10 ? '0'+minute : minute);

	var ydelta_str = $('new_date').style.height;
	var ydelta = ydelta_str.substring(0, ydelta_str.length - 2);

	var st = Math.floor(((+y) + (+ydelta) - <?=$wotag_hoehe?>) / 60 + (+<?=$start_stunde?>));
	var mi = Math.floor(((((((+y) + (+ydelta) - <?=$wotag_hoehe?>) / 60 + (+<?=$start_stunde?>)) - st) * 100) * 60 ) / 100);
	var st_str = (st < 10 ? '0'+st : st);
	var mi_str = (mi < 10 ? '0'+mi : mi);

	<? if ($_GET['plugin_subnavi_params'] == "weekly_view") { ?>
	var tag = '';
	if (x >= <?=$zeit_weite?> && x < <?=($zeit_weite + $tag_weite)?>) {
		tag = '<?=$weekdays[0]?>';
	} else if (x >= <?=($zeit_weite + $tag_weite)?> && x < <?=($zeit_weite + $tag_weite * 2)?>) {
		tag = '<?=$weekdays[1]?>';
	} else if (x >= <?=($zeit_weite + $tag_weite * 2)?> && x < <?=($zeit_weite + $tag_weite * 3)?>) {
		tag = '<?=$weekdays[2]?>';
	} else if (x >= <?=($zeit_weite + $tag_weite * 3)?> && x < <?=($zeit_weite + $tag_weite * 4)?>) {
		tag = '<?=$weekdays[3]?>';
	} else if (x >= <?=($zeit_weite + $tag_weite * 4)?> && x < <?=($zeit_weite + $tag_weite * 5)?>) {
		tag = '<?=$weekdays[4]?>';
	} else if (x >= <?=($zeit_weite + $tag_weite * 5)?> && x < <?=($zeit_weite + $tag_weite * 6)?>) {
		tag = '<?=$weekdays[5]?>';
	} else if (x >= <?=($zeit_weite + $tag_weite * 6)?> && x < <?=($zeit_weite + $tag_weite * 7)?>) {
		tag = '<?=$weekdays[6]?>';
	}
	<? } else { ?>
	var tag = '<?=date('d.m.Y',$datum)?>'
	<? } ?>

	document.create_date.von_h.value = stunde_str;
	document.create_date.von_i.value = minute_str;
	document.create_date.bis_h.value = st_str;
	document.create_date.bis_i.value = mi_str;
	document.create_date.tag.value = tag;

	$('new_date_txt').update(tag+'<BR>'+stunde_str+':'+minute_str+' bis '+st_str+':'+mi_str+' Uhr');

}

dragresize.ondragstart = function(isResize) { updateTimes(); };
dragresize.ondragmove = function(isResize) { updateTimes(); };
dragresize.ondragend = function(isResize) { updateTimes(); };


// ]]>
</script>
<DIV CLASS="drsElement drsMoveHandle" ID="new_date" STYLE="position:absolute; display:none; top:<?=$wotag_hoehe?>px; left:<?=$zeit_weite?>px; width:<?=$tag_weite-($_GET['plugin_subnavi_params'] == "weekly_view" ? 0 : $zeit_weite)?>px; min-width:<?=$tag_weite-($_GET['plugin_subnavi_params'] == "weekly_view" ? 0 : $zeit_weite)?>px; max-width:<?=$tag_weite-($_GET['plugin_subnavi_params'] == "weekly_view" ? 0 : $zeit_weite)?>px; height:<?=$zeit_hoehe?>px; min-height:<?=$zeit_hoehe?>px; z-index:999; opacity:0.95; background-color:#ffd; border:1px solid orange; text-align:left;">
  <DIV ID="new_date_txt" STYLE="font-size:0.7em; text-align:center;">
    Neuen Termin anlegen
  </DIV>
  <DIV ID="new_date_action" STYLE="text-align:center;">
    <TABLE BORDER="0" WIDTH="100%">
    <FORM NAME="create_date" ACTION="<?=$create_link?>" METHOD="POST">
      <TR>
       <TD STYLE="vertical-align:top; text-align:center;">
      <INPUT TYPE="hidden" NAME="von_h" VALUE="">
      <INPUT TYPE="hidden" NAME="von_i" VALUE="">
      <INPUT TYPE="hidden" NAME="bis_h" VALUE="">
      <INPUT TYPE="hidden" NAME="bis_i" VALUE="">
      <INPUT TYPE="hidden" NAME="tag" VALUE="">
      <INPUT TYPE="image" SRC="<?=$GLOBALS['ASSETS_URL']?>/images/vote_answer_correct.gif">
      </TD>
      <TD STYLE="vertical-align:top; text-align:center;">
        <A HREF="<?=$abort_link?>"><IMG SRC="<?=$GLOBALS['ASSETS_URL']?>/images/x_transparent.gif" BORDER="0"></A>
      </TD>
    </TR>
    </FORM>
  </TABLE>
  </DIV>
</DIV>
